//======================================================================
// Factory.shader
// Last edit: 27/09/03 Proddi
//
//======================================================================
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
textures/factory/barbed
{
	qer_editorimage textures/factory/barbed.jpg
	surfaceparm nonsolid
//	surfaceparm alphashadow
	surfaceparm trans
//	surfaceparm pointlight
//	implicitBlend -
	{
		map textures/factory/barbed.jpg
		tcMod scale 2 2
		blendfunc add
		alphaFunc GT0
	}
}
textures/factory/wall03_mid_phong
{
	qer_editorimage textures/battery_wall/wall03_mid.tga
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap textures/battery_wall/wall03_mid.tga
}
textures/factory/mxrock3_a_phong
{
	qer_editorimage textures/stone/mxrock3_a.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap textures/stone/mxrock3_a.jpg
}
textures/factory/powerglass
{
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm pointlight
	implicitBlend -
}

textures/factory/metal127
{
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm pointlight
	implicitBlend -
}

textures/factory/brick057
{
	q3map_nonplanar
	q3map_shadeangle 60
	implicitMap -
}

textures/factory/brick075
{
	q3map_nonplanar
	q3map_shadeangle 60
	implicitMap -
	// {
	//  map textures/factory/brick075.tga
	//  tcGen lightmap 
	// }
}

textures/factory/brick057_phong
{
	qer_editorimage textures/factory/brick057.jpg
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap textures/factory/brick057.jpg
}

textures/factory/cobbles01
{
	q3map_nonplanar
	q3map_shadeangle 60
	implicitMap -
}

textures/factory/tech02
{
	q3map_nonplanar
	q3map_shadeangle 60
	implicitMap -
}

textures/factory/metal_steel@bridge
{
	surfaceparm metalsteps
	implicitMap -
}

textures/factory/metal_sidetrim@bridge
{
	surfaceparm metalsteps
	implicitMap -
}

textures/factory/metal_side@bridge
{
	surfaceparm metalsteps
	implicitMap -
}

textures/factory/metal_plate@bridge
{
	surfaceparm metalsteps
	implicitMap -
}

textures/factory/metal_beam5@bridge
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm pointlight
	implicitMap -
}

textures/factory/metal_beam3@bridge
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm pointlight
	implicitMap -
}

textures/factory/metal_beam2@bridge
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm pointlight
	implicitMap -
}

textures/factory/metal_beam1@bridge
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm pointlight
	implicitMap -
}

textures/factory/metal@brigde
{
	surfaceparm metalsteps
	implicitMap -
}

textures/factory/testwater
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	nopicmip
	qer_trans 0.5
	q3map_globaltexture
	nocompress
//	nofog
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{
		map textures/liquids_sd/seawall_foam.tga
		blendfunc blend
		rgbGen wave sin 0.4 0.01 50 0.3 
//		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.025 -0.025
		tcMod scale .3 .3
		tcGen environment 
		alphaFunc GE128
		fog on
	}
	{
		map textures/liquids_sd/seawall_foam.tga
		blendfunc add
		rgbGen wave sin 0.6 0.01 0 0.3 
//		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll -0.039 0.012
		tcMod scale -.25 -.25
		tcGen environment 
		alphaFunc GE128
		fog on
	}
	{
		map textures/factory/damwateroverlay.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave sin 0.6 0.3 50 0.01 
		tcMod scale 0.5 0.5
		tcMod scroll -0.0025 -0.0019
		fog on
	}
	{
		map textures/factory/damwateroverlay.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave sin 0.6 0.3 0 0.05 
		tcMod scale 0.5 0.5
		tcMod scroll -0.0005 -0.003
		fog on
	}
	{
		map textures/factory/damwateroverlay.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave sin 0.6 0.3 0 0.04 
		tcMod scale 0.5 0.5
		tcMod scroll 0.005 0.005
		fog on
	}
}

textures/factory/factory_water
{
	qer_editorimage textures/factory/damwater.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	qer_trans 0.6
	q3map_globaltexture
	nocompress
	nofog
	waterfogvars ( 0.1 0.1 0.1 ) 300
	{
		map textures/factory/pegasuswater.tga
		rgbGen wave sin 0.9 0.3 50 0.06 
		tcMod scale 0.4 0.4
		tcMod scroll 0 -0.005
		tcMod stretch sin 1 0.005 0 0.06 
		alphaFunc GE128
		fog on
	}
	{
		map $lightmap 
		tcGen environment 
		alphaFunc GE128
	}
	{
		map textures/factory/damwateroverlay.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen const ( 1 1 1 )
		tcMod scale 2 0.5
		tcMod turb 0 0.0015 60 0.03
		tcMod scroll 0.005 0
		fog on
	}
	{
		map textures/factory/damwateroverlay.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen identityLighting
		tcMod scroll -0.005 0
		tcMod scale 2 0.5
		alphaGen lightingSpecular
		fog on
	}
}

textures/factory/factory_water2
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	nopicmip
	qer_trans 0.5
	q3map_globaltexture
	nocompress
	// nofog
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{
		map textures/liquids_sd/siwa_water.tga
		blendfunc gl_src_alpha gl_src_color
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll -0.02 0.001
		depthWrite
		alphaFunc GE128
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendfunc add
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcMod scale 0.01 0.01
		tcMod scroll -0.001 -0.0002
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendfunc add
		rgbGen wave sin 0.1 0.03 0 0.4 
		tcMod scale 1 1
		tcMod scroll -0.005 -0.001
		tcMod turb 0 0.05 50 0.05
		fog on
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendfunc add
		rgbGen wave sin 0.4 0.02 0 0.3 
		tcMod transform 0 1.5 1 1.5 2 1
		tcMod scroll 0.005 -0.001
		fog on
	}
}

textures/factory/factorysky
{
	nocompress
	qer_editorimage textures/skies/sky_8.tga
	q3map_lightimage textures/skies/n_blue2.tga
	q3map_nofog
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun 0.130 0.080 0.020 20 165 5
	q3map_sun 0.281 0.288 0.370 80 35 40
//	q3map_sun 0.281 0.288 0.370 15 215 60
//	q3map_sun 0.281 0.288 0.370 10 35 50
//	q3map_sun 0.281 0.288 0.370 10 35 45
//	q3map_sun 0.281 0.288 0.370 10 35 35
//	q3map_sun 0.281 0.288 0.370 10 35 30
//	q3map_sun 0.281 0.288 0.370 10 40 40
//	q3map_sun 0.281 0.288 0.370 10 45 40
//	q3map_sun 0.281 0.288 0.370 10 30 40
//	q3map_sun 0.281 0.288 0.370 10 25 40
//	q3map_surfacelight 30

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	skyparms - 512 -
	sunshader textures/skies_sd/small_moon

	{
		map textures/skies_sd/wurzburg_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		map textures/skies_sd/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
	{
		clampmap textures/skies_sd/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}
